Name:           websec
Version:        1.9.0
Release:        7.1
Summary:        Web Secretary - Web page monitoring software with highlighting

Group:          Applications/Internet
License:        GPLv2+
URL:            http://baruch.ev-en.org/proj/websec/
Source0:        http://baruch.ev-en.org/proj/websec/websec-1.9.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       /usr/sbin/sendmail
# perl-IO-Socket-SSL needed for https:
Requires:       perl(IO::Socket::SSL)

%description
Web Secretary is a web page change monitoring software. It will detect changes
based on content analysis, making sure that it's not just HTML that changed,
but actual content. You can tell it what to ignore in the page (hit counters
and such), and it can mail you the document with the changes highlighted or 
load the highlighted page in a browser.


%prep
%setup -q


%build
make PREFIX=%{_prefix} %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT .__doc
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

# proper permissions for man pages
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/man/man*/*

# temp doc dir 
mv $RPM_BUILD_ROOT%{_datadir}/doc/websec .__doc

# having the next two in the proper place would require proper dependencies,
# which is probably not worth the trouble as that would be bloat for most 
# users; so ship them as doc, that's better then not shipping them at all
mv $RPM_BUILD_ROOT%{_datadir}/vim/vim61 $RPM_BUILD_ROOT%{_datadir}/emacs/ \
   .__doc/
mkdir .__doc/scripts
cp rollback htmldiff .__doc/scripts/
chmod -x .__doc/scripts/*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING HACKING NEWS TODO .__doc/*
%{_bindir}/*
%{_datadir}/man/man*/*


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 1.9.0-5
- Manually require perl(IO::Socket::SSL) to make https work

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun Apr 08 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-4
- rebuild

* Sun Apr 08 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-3
- remove the / add the end of the mv command

* Sat Apr 07 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-2
- Fixes found during review (#235573):
  - noarch automatically disables debuginfo
  - require /usr/sbin/sendmail instead of smtpdaemon

* Sat Apr 07 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 1.9.0-1
- Initial package
